Backupninja 0.9.6
[matthijs/upstream/backupninja.git] / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # vi: noexpandtab softtabstop=0
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36         $(srcdir)/Makefile.in $(srcdir)/backupninja.spec.in \
37         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38         TODO install-sh missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.in
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42         $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(install_sh) -d
46 CONFIG_CLEAN_FILES = backupninja.spec
47 SOURCES =
48 DIST_SOURCES =
49 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
50         html-recursive info-recursive install-data-recursive \
51         install-dvi-recursive install-exec-recursive \
52         install-html-recursive install-info-recursive \
53         install-pdf-recursive install-ps-recursive install-recursive \
54         installcheck-recursive installdirs-recursive pdf-recursive \
55         ps-recursive uninstall-recursive
56 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
57   distclean-recursive maintainer-clean-recursive
58 ETAGS = etags
59 CTAGS = ctags
60 DIST_SUBDIRS = $(SUBDIRS)
61 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
62 distdir = $(PACKAGE)-$(VERSION)
63 top_distdir = $(distdir)
64 am__remove_distdir = \
65   { test ! -d $(distdir) \
66     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
67          && rm -fr $(distdir); }; }
68 DIST_ARCHIVES = $(distdir).tar.gz
69 GZIP_ENV = --best
70 distuninstallcheck_listfiles = find . -type f -print
71 distcleancheck_listfiles = find . -type f -print
72 ACLOCAL = @ACLOCAL@
73 AMTAR = @AMTAR@
74 AUTOCONF = @AUTOCONF@
75 AUTOHEADER = @AUTOHEADER@
76 AUTOMAKE = @AUTOMAKE@
77 AWK = @AWK@
78 BASH = @BASH@
79 CFGDIR = @CFGDIR@
80 CYGPATH_W = @CYGPATH_W@
81 DEFS = @DEFS@
82 ECHO_C = @ECHO_C@
83 ECHO_N = @ECHO_N@
84 ECHO_T = @ECHO_T@
85 HAVE_RPM = @HAVE_RPM@
86 INSTALL = @INSTALL@
87 INSTALL_DATA = @INSTALL_DATA@
88 INSTALL_PROGRAM = @INSTALL_PROGRAM@
89 INSTALL_SCRIPT = @INSTALL_SCRIPT@
90 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
91 LIBOBJS = @LIBOBJS@
92 LIBS = @LIBS@
93 LN_S = @LN_S@
94 LTLIBOBJS = @LTLIBOBJS@
95 MAKEINFO = @MAKEINFO@
96 MKDIR_P = @MKDIR_P@
97 MKTEMP = @MKTEMP@
98 PACKAGE = @PACKAGE@
99 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
100 PACKAGE_NAME = @PACKAGE_NAME@
101 PACKAGE_STRING = @PACKAGE_STRING@
102 PACKAGE_TARNAME = @PACKAGE_TARNAME@
103 PACKAGE_VERSION = @PACKAGE_VERSION@
104 PATH_SEPARATOR = @PATH_SEPARATOR@
105 SED = @SED@
106 SET_MAKE = @SET_MAKE@
107 SHELL = @SHELL@
108 STRIP = @STRIP@
109 VERSION = @VERSION@
110 abs_builddir = @abs_builddir@
111 abs_srcdir = @abs_srcdir@
112 abs_top_builddir = @abs_top_builddir@
113 abs_top_srcdir = @abs_top_srcdir@
114 ac_cv_have_rpm = @ac_cv_have_rpm@
115 am__leading_dot = @am__leading_dot@
116 am__tar = @am__tar@
117 am__untar = @am__untar@
118 bindir = @bindir@
119 build_alias = @build_alias@
120 builddir = @builddir@
121 datadir = @datadir@
122 datarootdir = @datarootdir@
123 docdir = @docdir@
124 dvidir = @dvidir@
125 exec_prefix = @exec_prefix@
126 host_alias = @host_alias@
127 htmldir = @htmldir@
128 includedir = @includedir@
129 infodir = @infodir@
130 install_sh = @install_sh@
131 libdir = @libdir@
132 libexecdir = @libexecdir@
133 localedir = @localedir@
134 localstatedir = @localstatedir@
135 mandir = @mandir@
136 mkdir_p = @mkdir_p@
137 oldincludedir = @oldincludedir@
138 pdfdir = @pdfdir@
139 prefix = @prefix@
140 program_transform_name = @program_transform_name@
141 psdir = @psdir@
142 sbindir = @sbindir@
143 sharedstatedir = @sharedstatedir@
144 srcdir = @srcdir@
145 sysconfdir = @sysconfdir@
146 target_alias = @target_alias@
147 top_builddir = @top_builddir@
148 top_srcdir = @top_srcdir@
149 EXTRA_DIST = README COPYING AUTHORS INSTALL NEWS ChangeLog \
150              backupninja.spec backupninja.spec.in autogen.sh
151
152 SUBDIRS = etc examples handlers lib man src
153 local_rpm_topdir = `cd $(top_srcdir) && pwd`/rpm
154 all: all-recursive
155
156 .SUFFIXES:
157 am--refresh:
158         @:
159 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
160         @for dep in $?; do \
161           case '$(am__configure_deps)' in \
162             *$$dep*) \
163               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
164               cd $(srcdir) && $(AUTOMAKE) --gnu  \
165                 && exit 0; \
166               exit 1;; \
167           esac; \
168         done; \
169         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
170         cd $(top_srcdir) && \
171           $(AUTOMAKE) --gnu  Makefile
172 .PRECIOUS: Makefile
173 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
174         @case '$?' in \
175           *config.status*) \
176             echo ' $(SHELL) ./config.status'; \
177             $(SHELL) ./config.status;; \
178           *) \
179             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
180             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
181         esac;
182
183 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
184         $(SHELL) ./config.status --recheck
185
186 $(top_srcdir)/configure:  $(am__configure_deps)
187         cd $(srcdir) && $(AUTOCONF)
188 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
189         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
190 backupninja.spec: $(top_builddir)/config.status $(srcdir)/backupninja.spec.in
191         cd $(top_builddir) && $(SHELL) ./config.status $@
192
193 # This directory's subdirectories are mostly independent; you can cd
194 # into them and run `make' without going through this Makefile.
195 # To change the values of `make' variables: instead of editing Makefiles,
196 # (1) if the variable is set in `config.status', edit `config.status'
197 #     (which will cause the Makefiles to be regenerated when you run `make');
198 # (2) otherwise, pass the desired values on the `make' command line.
199 $(RECURSIVE_TARGETS):
200         @failcom='exit 1'; \
201         for f in x $$MAKEFLAGS; do \
202           case $$f in \
203             *=* | --[!k]*);; \
204             *k*) failcom='fail=yes';; \
205           esac; \
206         done; \
207         dot_seen=no; \
208         target=`echo $@ | sed s/-recursive//`; \
209         list='$(SUBDIRS)'; for subdir in $$list; do \
210           echo "Making $$target in $$subdir"; \
211           if test "$$subdir" = "."; then \
212             dot_seen=yes; \
213             local_target="$$target-am"; \
214           else \
215             local_target="$$target"; \
216           fi; \
217           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
218           || eval $$failcom; \
219         done; \
220         if test "$$dot_seen" = "no"; then \
221           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
222         fi; test -z "$$fail"
223
224 $(RECURSIVE_CLEAN_TARGETS):
225         @failcom='exit 1'; \
226         for f in x $$MAKEFLAGS; do \
227           case $$f in \
228             *=* | --[!k]*);; \
229             *k*) failcom='fail=yes';; \
230           esac; \
231         done; \
232         dot_seen=no; \
233         case "$@" in \
234           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
235           *) list='$(SUBDIRS)' ;; \
236         esac; \
237         rev=''; for subdir in $$list; do \
238           if test "$$subdir" = "."; then :; else \
239             rev="$$subdir $$rev"; \
240           fi; \
241         done; \
242         rev="$$rev ."; \
243         target=`echo $@ | sed s/-recursive//`; \
244         for subdir in $$rev; do \
245           echo "Making $$target in $$subdir"; \
246           if test "$$subdir" = "."; then \
247             local_target="$$target-am"; \
248           else \
249             local_target="$$target"; \
250           fi; \
251           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
252           || eval $$failcom; \
253         done && test -z "$$fail"
254 tags-recursive:
255         list='$(SUBDIRS)'; for subdir in $$list; do \
256           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
257         done
258 ctags-recursive:
259         list='$(SUBDIRS)'; for subdir in $$list; do \
260           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
261         done
262
263 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
264         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
265         unique=`for i in $$list; do \
266             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
267           done | \
268           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
269               END { if (nonempty) { for (i in files) print i; }; }'`; \
270         mkid -fID $$unique
271 tags: TAGS
272
273 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
274                 $(TAGS_FILES) $(LISP)
275         tags=; \
276         here=`pwd`; \
277         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
278           include_option=--etags-include; \
279           empty_fix=.; \
280         else \
281           include_option=--include; \
282           empty_fix=; \
283         fi; \
284         list='$(SUBDIRS)'; for subdir in $$list; do \
285           if test "$$subdir" = .; then :; else \
286             test ! -f $$subdir/TAGS || \
287               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
288           fi; \
289         done; \
290         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
291         unique=`for i in $$list; do \
292             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
293           done | \
294           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
295               END { if (nonempty) { for (i in files) print i; }; }'`; \
296         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
297           test -n "$$unique" || unique=$$empty_fix; \
298           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
299             $$tags $$unique; \
300         fi
301 ctags: CTAGS
302 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
303                 $(TAGS_FILES) $(LISP)
304         tags=; \
305         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
306         unique=`for i in $$list; do \
307             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
308           done | \
309           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
310               END { if (nonempty) { for (i in files) print i; }; }'`; \
311         test -z "$(CTAGS_ARGS)$$tags$$unique" \
312           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
313              $$tags $$unique
314
315 GTAGS:
316         here=`$(am__cd) $(top_builddir) && pwd` \
317           && cd $(top_srcdir) \
318           && gtags -i $(GTAGS_ARGS) $$here
319
320 distclean-tags:
321         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
322
323 distdir: $(DISTFILES)
324         $(am__remove_distdir)
325         test -d $(distdir) || mkdir $(distdir)
326         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
327         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
328         list='$(DISTFILES)'; \
329           dist_files=`for file in $$list; do echo $$file; done | \
330           sed -e "s|^$$srcdirstrip/||;t" \
331               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
332         case $$dist_files in \
333           */*) $(MKDIR_P) `echo "$$dist_files" | \
334                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
335                            sort -u` ;; \
336         esac; \
337         for file in $$dist_files; do \
338           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
339           if test -d $$d/$$file; then \
340             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
341             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
342               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
343             fi; \
344             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
345           else \
346             test -f $(distdir)/$$file \
347             || cp -p $$d/$$file $(distdir)/$$file \
348             || exit 1; \
349           fi; \
350         done
351         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
352           if test "$$subdir" = .; then :; else \
353             test -d "$(distdir)/$$subdir" \
354             || $(MKDIR_P) "$(distdir)/$$subdir" \
355             || exit 1; \
356             distdir=`$(am__cd) $(distdir) && pwd`; \
357             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
358             (cd $$subdir && \
359               $(MAKE) $(AM_MAKEFLAGS) \
360                 top_distdir="$$top_distdir" \
361                 distdir="$$distdir/$$subdir" \
362                 am__remove_distdir=: \
363                 am__skip_length_check=: \
364                 distdir) \
365               || exit 1; \
366           fi; \
367         done
368         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
369           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
370           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
371           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
372         || chmod -R a+r $(distdir)
373 dist-gzip: distdir
374         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
375         $(am__remove_distdir)
376
377 dist-bzip2: distdir
378         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
379         $(am__remove_distdir)
380
381 dist-lzma: distdir
382         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
383         $(am__remove_distdir)
384
385 dist-tarZ: distdir
386         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
387         $(am__remove_distdir)
388
389 dist-shar: distdir
390         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
391         $(am__remove_distdir)
392
393 dist-zip: distdir
394         -rm -f $(distdir).zip
395         zip -rq $(distdir).zip $(distdir)
396         $(am__remove_distdir)
397
398 dist dist-all: distdir
399         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
400         $(am__remove_distdir)
401
402 # This target untars the dist file and tries a VPATH configuration.  Then
403 # it guarantees that the distribution is self-contained by making another
404 # tarfile.
405 distcheck: dist
406         case '$(DIST_ARCHIVES)' in \
407         *.tar.gz*) \
408           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
409         *.tar.bz2*) \
410           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
411         *.tar.lzma*) \
412           unlzma -c $(distdir).tar.lzma | $(am__untar) ;;\
413         *.tar.Z*) \
414           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
415         *.shar.gz*) \
416           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
417         *.zip*) \
418           unzip $(distdir).zip ;;\
419         esac
420         chmod -R a-w $(distdir); chmod a+w $(distdir)
421         mkdir $(distdir)/_build
422         mkdir $(distdir)/_inst
423         chmod a-w $(distdir)
424         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
425           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
426           && cd $(distdir)/_build \
427           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
428             $(DISTCHECK_CONFIGURE_FLAGS) \
429           && $(MAKE) $(AM_MAKEFLAGS) \
430           && $(MAKE) $(AM_MAKEFLAGS) dvi \
431           && $(MAKE) $(AM_MAKEFLAGS) check \
432           && $(MAKE) $(AM_MAKEFLAGS) install \
433           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
434           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
435           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
436                 distuninstallcheck \
437           && chmod -R a-w "$$dc_install_base" \
438           && ({ \
439                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
440                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
441                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
442                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
443                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
444               } || { rm -rf "$$dc_destdir"; exit 1; }) \
445           && rm -rf "$$dc_destdir" \
446           && $(MAKE) $(AM_MAKEFLAGS) dist \
447           && rm -rf $(DIST_ARCHIVES) \
448           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
449         $(am__remove_distdir)
450         @(echo "$(distdir) archives ready for distribution: "; \
451           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
452           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
453 distuninstallcheck:
454         @cd $(distuninstallcheck_dir) \
455         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
456            || { echo "ERROR: files left after uninstall:" ; \
457                 if test -n "$(DESTDIR)"; then \
458                   echo "  (check DESTDIR support)"; \
459                 fi ; \
460                 $(distuninstallcheck_listfiles) ; \
461                 exit 1; } >&2
462 distcleancheck: distclean
463         @if test '$(srcdir)' = . ; then \
464           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
465           exit 1 ; \
466         fi
467         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
468           || { echo "ERROR: files left in build directory after distclean:" ; \
469                $(distcleancheck_listfiles) ; \
470                exit 1; } >&2
471 check-am: all-am
472 check: check-recursive
473 all-am: Makefile
474 installdirs: installdirs-recursive
475 installdirs-am:
476 install: install-recursive
477 install-exec: install-exec-recursive
478 install-data: install-data-recursive
479 uninstall: uninstall-recursive
480
481 install-am: all-am
482         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
483
484 installcheck: installcheck-recursive
485 install-strip:
486         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
487           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
488           `test -z '$(STRIP)' || \
489             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
490 mostlyclean-generic:
491
492 clean-generic:
493
494 distclean-generic:
495         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
496
497 maintainer-clean-generic:
498         @echo "This command is intended for maintainers to use"
499         @echo "it deletes files that may require special tools to rebuild."
500 clean: clean-recursive
501
502 clean-am: clean-generic clean-local mostlyclean-am
503
504 distclean: distclean-recursive
505         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
506         -rm -f Makefile
507 distclean-am: clean-am distclean-generic distclean-tags
508
509 dvi: dvi-recursive
510
511 dvi-am:
512
513 html: html-recursive
514
515 info: info-recursive
516
517 info-am:
518
519 install-data-am:
520
521 install-dvi: install-dvi-recursive
522
523 install-exec-am:
524
525 install-html: install-html-recursive
526
527 install-info: install-info-recursive
528
529 install-man:
530
531 install-pdf: install-pdf-recursive
532
533 install-ps: install-ps-recursive
534
535 installcheck-am:
536
537 maintainer-clean: maintainer-clean-recursive
538         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
539         -rm -rf $(top_srcdir)/autom4te.cache
540         -rm -f Makefile
541 maintainer-clean-am: distclean-am maintainer-clean-generic
542
543 mostlyclean: mostlyclean-recursive
544
545 mostlyclean-am: mostlyclean-generic
546
547 pdf: pdf-recursive
548
549 pdf-am:
550
551 ps: ps-recursive
552
553 ps-am:
554
555 uninstall-am:
556
557 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) install-am \
558         install-strip
559
560 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
561         all all-am am--refresh check check-am clean clean-generic \
562         clean-local ctags ctags-recursive dist dist-all dist-bzip2 \
563         dist-gzip dist-lzma dist-shar dist-tarZ dist-zip distcheck \
564         distclean distclean-generic distclean-tags distcleancheck \
565         distdir distuninstallcheck dvi dvi-am html html-am info \
566         info-am install install-am install-data install-data-am \
567         install-dvi install-dvi-am install-exec install-exec-am \
568         install-html install-html-am install-info install-info-am \
569         install-man install-pdf install-pdf-am install-ps \
570         install-ps-am install-strip installcheck installcheck-am \
571         installdirs installdirs-am maintainer-clean \
572         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
573         pdf-am ps ps-am tags tags-recursive uninstall uninstall-am
574
575 rpm-package: dist
576         if test x$(HAVE_RPM) = xyes ; then \
577                mkdir -p $(local_rpm_topdir) ; \
578                cd $(local_rpm_topdir) ; \
579                mkdir -p BUILD RPMS SOURCES SPECS ; \
580                cd SOURCES ; \
581                $(LN_S) ../../$(distdir).tar.gz ; \
582                cd .. ; \
583                cd SPECS ; \
584                $(LN_S) ../../backupninja.spec . ; \
585                cd .. ; \
586                rpmbuild --define "_topdir `cd . && pwd`" -bb SPECS/backupninja.spec && \
587                echo "Package successfully built in `pwd`/RPMS." ; \
588        else \
589                echo "Error: RPM executable and/or source directory not found." ; \
590        fi
591
592 srpm-package: dist
593         if test x$(HAVE_RPM) = xyes ; then \
594                mkdir -p $(local_rpm_topdir) ; \
595                cd $(local_rpm_topdir) ; \
596                mkdir -p BUILD SRPMS SOURCES SPECS ; \
597                cd SOURCES ; \
598                $(LN_S) ../../$(distdir).tar.gz ; \
599                cd .. ; \
600                cd SPECS ; \
601                $(LN_S) ../../backupninja.spec . \
602                cd .. ; \
603                rpmbuild --define "_topdir `cd . && pwd`" -bs SPECS/backupninja.spec && \
604                echo "Package successfully built in `pwd`/SRPMS." ; \
605        else \
606               echo "Error: RPM executable and/or source directory not found." ; \
607        fi
608
609 clean-local:
610         -rm -rf $(local_rpm_topdir)
611 # Tell versions [3.59,3.63) of GNU make to not export all variables.
612 # Otherwise a system limit (for SysV at least) may be exceeded.
613 .NOEXPORT: